summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xpo/update_translations.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/po/update_translations.sh b/po/update_translations.sh
new file mode 100755
index 00000000..82ef917e
--- /dev/null
+++ b/po/update_translations.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+if [ ! -f po/shared-mime-info.pot ] ; then
+ echo "Please generate “po/shared-mime-info.pot” before running this command"
+ exit 1
+fi
+
+if [ ! -f .tx/config ] ; then
+ echo "Please run this command from the root of the source directory"
+ exit 1
+fi
+
+tx pull --all --force --skip
+tx push --source